Get customers
curl --request GET \
--url https://platform.runonatlas.com/external/customers \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.runonatlas.com/external/customers"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.runonatlas.com/external/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"createdAt": "2021-01-01T00:00:00.000Z",
"id": "atlas-internal-customer-id-123",
"updatedAt": "2021-01-01T00:00:00.000Z",
"merchantId": "atlas-internal-merchant-id-123",
"billingAddress1": "123 Main St",
"billingAddress2": "Apt 1",
"billingCity": "Anytown",
"billingCountry": "US",
"billingState": "CA",
"billingZipCode": "12345",
"shippingAddress1": "123 Main St",
"shippingAddress2": "Apt 1",
"shippingCity": "Anytown",
"shippingCountry": "US",
"shippingState": "CA",
"shippingZipCode": "12345",
"email": "john.doe@example.com",
"externalId": "external-customer-id-123",
"name": "John Doe",
"quickBooksId": "quickbooks-customer-id-123",
"stripeId": "stripe-customer-id-123"
}
],
"count": 100,
"pages": 10,
"currentPage": 1
}Customers
Get customers
Get a paginated list of customers.
GET
/
external
/
customers
Get customers
Authorizations
You can obtain this key from the Atlas dashboard. It must be of type secret
Query Parameters
The external ID of the customer (e.g. the customer ID in your system)
Minimum string length:
1Example:
"external-customer-id-123"
The Atlas customer ID
Minimum string length:
1Example:
"atlas-internal-customer-id-123"
The QuickBooks ID of the customer
Minimum string length:
1Example:
"quickbooks-customer-id-123"
The Stripe ID of the customer
Minimum string length:
1Example:
"stripe-customer-id-123"
The email of the customer
Minimum string length:
1Example:
"john.doe@example.com"
The name of the customer
Minimum string length:
1Example:
"John Doe"
The order of the results.
Available options:
asc, desc Example:
"asc"
The page number of the results.
Required range:
x >= 1Example:
1
The number of results per page.
Required range:
1 <= x <= 100Example:
10
The fields that can be used to order the results by.
Available options:
createdAt, email, id, name, quickBooksId, stripeId, updatedAt Example:
"id"

